package cn.timer.api.bean.jxgl;

import java.util.Date;
import java.util.List;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author Tang 2020-05-26
 */

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("考核指标")
public class JxglAppraisalIndicators extends Model<JxglAppraisalIndicators> {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)

	@ApiModelProperty(value = "编号 编号", example = "10")
	private Integer id;

	@ApiModelProperty(value = "考核id 考核id", example = "10")
	private Integer appraisalId;

	@ApiModelProperty(value = "标题", example = "标题")
	private String title;

	@ApiModelProperty(value = "权重 整数，单位%", example = "10")
	private Integer weight;
	
	@TableField(fill = FieldFill.INSERT)
	@ApiModelProperty(value = "创建时间", example = "2020-10-10 10:10:10")
	private Date createTime;
	
	@TableField(fill = FieldFill.UPDATE)
	@ApiModelProperty(value = "更新时间", example = "2020-10-10 10:10:10")
	private Date updateTime;

	@ApiModelProperty(value = "类型 0 非固定 1 固定", example = "0")
	private Integer type;
	
	@ApiModelProperty(value = "是否可编辑权重", example = "0 是 1否")
	private Integer isEditWeight;
	
	@TableField(exist = false)
	private List<JxglAppraisalIndicatorsAssessment> appraisalIndicatorsAssessments;
	
	@TableField(exist = false)
	private List<JxglAppraisalItem> appraisalItems;
}